<script lang="ts">
  import CharacterIcon from "./CharacterIcon.svelte";
  import TeamIcon from "./TeamIcon.svelte";
  import { characterName, getAffiliation } from "./theResistance";

  export let card: CharacterCard;
  $: name = characterName(card);
</script>

<div class="character-card border">
  <div class="team-icon">
    <TeamIcon affiliation={getAffiliation(card)} />
  </div>
  <div class="character-icon">
    <CharacterIcon {card} />
  </div>
  <div class="character-name">{name}</div>
</div>

<style>
  .character-card {
    background-color: linen;
    position: relative;
    width: 10em;
    height: 14em;
    border-radius: 7% / 5%;
    padding: 0.75em;
  }

  .team-icon {
    font-size: 2em;
    position: absolute;
    top: 0.5em;
    right: 0.5em;
  }

  .character-icon {
    font-size: 4.5em;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  .character-name {
    text-align: center;
    position: absolute;
    left: 1em;
    right: 1em;
    bottom: 20%;
    transform: translateY(50%);
    line-height: 1em;
  }
</style>
